
export default{
  inserted(el, binding, vnode) {
    const { value } = binding // 获取当前 按钮对应的 指令
    const authBtns = vnode.context.$route.meta.permission // 获取当前页面的 按钮数组
    if (value) {
      const permissionBtn = value
      if (!authBtns.length) {
        el.parentNode && el.parentNode.removeChild(el)
      }
      if (authBtns && authBtns.length && !authBtns.includes(permissionBtn)) {
        el.parentNode && el.parentNode.removeChild(el)
      }
    } else {
      throw new Error(`需要按钮指令! 像这样: v-permission="'HY_add'"`)
    }
  }
}
